﻿/* ANCHOR Blog List */
/* #region  */
[id$="DNNArticle_lblHashtagAlt"] + br {
  display: none;
}

.blogRelated_title {
  font-size: 36px;
  margin-bottom: 8px;
  display: block;
  line-height: 1;
}

.blogList {
  margin-bottom: 200px;
  display: flex;
  flex-direction: column;
  gap: 48px;
  margin-top: 114px;
}

.blogList .title_section {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 50%;
}

.blogList .title_section h1 {
  font-size: 64px;
}

.blogList .title_section span {
  font-size: 16px;
}

.blogList_wrapper {
  font-size: 64px;
  font-weight: 500;
  line-height: 1;
}

.blogList .mainArticleWrapper {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 40px;
  height: 430px;
}

.blogList_Card {
  overflow: hidden;
  transition: var(--transition);
  height: 100%;
}

.blogList_Card:hover {
  background: #005847;
  color: white;
}

.blogList_Card__ImgBox img {
  width: 100%;
  display: block;
  height: 293px;
  object-fit: cover;
}

/* .blogList_Out:nth-child(2) .blogList_Card__ImgBox img {
  max-height: 263px;
} */

.blogDetail {
  margin-top: 240px;
  display: flex;
  flex-direction: column;
}

.blogDetail__Image {
  width: 100%;
  object-fit: cover;
  background-repeat: no-repeat;
  background-size: cover;
  margin-bottom: 14px !important;
}

.blogDetail article {
  max-width: 990px;
  align-self: center;
  margin-top: -100px;
  background: white;
  padding: 0 110px 50px;
}

.blogList_Card__Content {
  padding: 16px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.info_article {
  display: flex;
  gap: 60px;
  font-size: 14px;
  font-weight: 300;
}

.blogList_Card__Title {
  --line: 1;
  --line-height: 1;

  display: -webkit-box;
  max-width: 100%;
  -webkit-line-clamp: var(--line);
  height: calc(var(--line) * var(--line-height));
  line-height: var(--line-height);
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 20px;
  font-weight: 500;
  transition: all 0.3s ease;
}

.blogList_Card:hover .blogList_Card__Title {
  color: white;
}

.blogList_Card__Desc {
  --line: 2;
  --line-height: 1.2;

  display: -webkit-box;
  max-width: 100%;
  -webkit-line-clamp: var(--line);
  height: calc(var(--line) * var(--line-height));
  line-height: var(--line-height);
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 16px;
  font-weight: 300;
}

.blogList_Card__Btn {
  display: block;
  font-size: var(--fz-sm);
  color: var(--mc1);
  text-align: left;
}

.blogList_Card__Btn:hover {
  color: var(--mc1);
}

.blogList_Card__DateCreate,
.blogLatest__DateCreate {
  padding-right: 32px;
  position: relative;
  display: inline-block;
  text-align: left;
  font-size: var(--fz-sm);
  margin-bottom: 1rem;
}

.blogList_Card__DateCreate::before,
.blogLatest__DateCreate::before {
  content: "";
  display: block;
  background: url("/Portals/_default/skins/wb-skin/Images/calendar.svg")
    no-repeat center;
  background-size: cover;
  position: absolute;
  top: 2px;
  right: 0.5rem;
  width: 1rem;
  height: 1rem;
}

/* #endregion */

/* ANCHOR Blog List Slider */
/* #region Blog List Slider */
.blogList_Out {
  padding: 0.5rem 0;
  vertical-align: top;
  display: inline-block;
  transition:
    transform 0.8s ease,
    opacity 0.8s ease;
}

.blogList_Out.visible {
  transform: translateY(0);
  opacity: 1;
}

.blogListSlider .blogList_Card,
.blogRelated .blogList_Card {
  margin: 0 0.5rem;
}

@media (max-width: 991px) {
  .blogListSlider .blogList_Card,
  .blogRelated .blogList_Card {
    min-width: 300px;
    width: 300px;
  }
}

/* #endregion */

/* ANCHOR Blog Latest */
/* #region Blog Latest */
.blogLatest_Card {
  border: 1px solid #e1e1e1;
  border-radius: var(--border-radius-sm);
  padding: 8px;
  display: flex;
  transition: var(--transition);
}

.blogLatest_Card:not(:last-child) {
  margin-bottom: 12px;
}

.blogLatest_Card:hover {
  box-shadow: 0px 4px 8px rgb(4 57 87 / 15%);
  color: var(--mc2);
}

.blogLatest_Card__ImgBox {
  display: flex;
  align-items: center;
}

.blogLatest_Card__ImgBox a {
  display: inline-block;
  border-radius: var(--border-radius-sm);
  overflow: hidden;
  width: 110px;
  margin-left: 0.5rem;
}

.blogLatest_Card__Content {
  padding-right: 1rem;
}

.blogLatest_Card__Title {
  height: calc(2 * 1.5rem);
  display: -webkit-box;
  max-width: 100%;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: var(--fz-sm);
  font-weight: var(--fw-700);
  color: var(--tc1);
}

/* #endregion */

/* ANCHOR Blog Detail */
/* #region Blog Detail */
/* -- Topics Box -- */
/* check to see if the blog details headers has any link */
.blogDetail__TopicsBox:not(:has(a)) {
  display: none;
}

.blogDetail__TopicsBox {
  display: flex;
  flex-direction: column;
  border-radius: var(--border-radius);
  border: solid 1px var(--mc3);
  overflow: hidden;
  width: 100%;
  margin-bottom: var(--title-space);
}

.blogDetail__TopicsBox__Ttl {
  display: block;
  padding: 1rem 0.75rem;
  font-size: var(--fz-md);
  font-weight: var(--fw-700);
  color: var(--white);
  background: var(--mc1);
}

ul#blogDetail__TopicsBox__List {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  list-style-type: none;
  margin: 0;
  height: 100%;
  align-items: flex-start;
  padding: 1rem 0rem 1rem 1rem;
  font-size: var(--fz-sm);
}

#blogDetail__TopicsBox__List a {
  display: block;
  cursor: pointer;
  font-size: var(--fz-md);
  transition: 0.5s;
  width: 50%;
  margin-bottom: 0.5rem;
  display: flex;
  align-items: center;
  position: relative;
  padding-right: 1.75rem;
}

#blogDetail__TopicsBox__List a:hover {
  color: var(--mc1);
}

#blogDetail__TopicsBox__List a::before {
  content: "";
  display: block;
  background: var(--mc1);
  border-radius: 50%;
  min-width: 0.5rem;
  height: 0.5rem;
  position: absolute;
  right: 0.5rem;
  top: 0.625rem;
}

#blogDetail__TopicsBox__List a::marker {
  color: var(--mc1);
}

/* -- Blog Detail Content -- */
.blogDetail__Title {
  font-size: 40px;
  font-weight: var(--fw-400);
  color: black;
}

.blogDetail article > *:not(:last-child) {
  margin-bottom: 0.5rem;
}

.blogDetail article *[style$="text-align: left;"] {
  direction: ltr;
}

.blogDetail article h2 {
  padding-top: var(--title-space);
  /* add this property if there is fixed header */
  /* scroll-margin-top: 110px; */
}

.blogDetail article a {
  color: var(--mc1);
  text-decoration: underline;
}

.blogDetail article code {
  color: var(--mc1);
}

.blogDetail table {
  max-width: 100%;
  margin: auto;
  border: solid 1px var(--mc1);
}

.blogDetail table th {
  text-align: center;
  background: var(--mc1);
  padding: 0.5rem 1rem;
  color: var(--white);
}

.blogDetail table td {
  border: solid 1px var(--tc1);
  color: var(--tc1);
  padding: 0.5rem 1rem;
  text-align: center;
}

.blogDetail li {
  list-style-type: disc;
  list-style-position: inside;
  margin-right: 1rem;
}
.blogDetail ol li {
  list-style-type: decimal;
}

.blogDetail article img {
  width: 100% !important;
  height: auto !important;
  margin: 50px 0;
}

.blogDetail article .article__InternalLink img {
  width: unset !important;
}

.blogDetail article .blogDetail__Image img {
  margin-bottom: 20px;
}
/* #endregion */

@media (max-width: 991px) {
  .blogList .mainArticleWrapper {
    grid-template-columns: 1fr;
    height: unset;
  }
  .blogList .title_section {
    width: 100%;
  }

  .blogList_Card__ImgBox img {
    height: unset;
  }

  .blogList .title_section h1 {
    font-size: 40px;
  }

  .blogList .title_section span {
    font-size: 16px;
  }
  .blogDetail__Title {
    font-size: 40px;
    white-space: nowrap;
  }
  .blogDetail article {
    padding: 32px 24px;
    background: unset;
    margin-top: unset;
  }
}
